aboutsummaryrefslogtreecommitdiff
path: root/your_git.sh
diff options
context:
space:
mode:
Diffstat (limited to 'your_git.sh')
-rwxr-xr-xyour_git.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/your_git.sh b/your_git.sh
new file mode 100755
index 0000000..4c2c367
--- /dev/null
+++ b/your_git.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# DON'T EDIT THIS!
+#
+# CodeCrafters uses this file to test your code. Don't make any changes here!
+#
+# DON'T EDIT THIS!
+set -e
+
+tmpFile=$(mktemp)
+
+( cd $(dirname "$0") &&
+ go build -buildvcs="false" -o "$tmpFile" ./cmd/mygit )
+
+exec "$tmpFile" "$@"